Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
Doan Van Ha

[Hỏi] Tại sao bắt điểm Intersection tại điểm giao trên 3D không được?

Các bài được khuyến nghị

Mọi người cho hỏi tí: vì lý do gì mà osnap để bắt điểm Intersection tại các điểm giao nhau trong 3D không được?

Như hình vẽ, chỉ bắt điểm Intersection tại D được, còn A, B, C thì không. Dù rằng các điểm A, B, C đều được vẽ bắt đầu từ đường màu hồng?

File Cad để test:

http://www.cadviet.com/upfiles/3/67029_hoi_ve_osnap.dwg

File Image:

67029_bat_diem_osnap.png

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mọi người cho hỏi tí: vì lý do gì mà osnap để bắt điểm Intersection tại các điểm giao nhau trong 3D không được?

Như hình vẽ, chỉ bắt điểm Intersection tại D được, còn A, B, C thì không. Dù rằng các điểm A, B, C đều được vẽ bắt đầu từ đường màu hồng?

File Cad để test:

http://www.cadviet.com/upfiles/3/67029_hoi_ve_osnap.dwg

File Image:

67029_bat_diem_osnap.png

,Cách làm mò của em hơi bị dài dòng :

Gõ W >...>....>....... Mở file : new block.dwg  rồi bấm chọn biểu tượng Bottom :

114276_c7911_chu7889i.png

 

File đã bắt điểm Intersection ở  tất cả các điểm A, B, C và D :http://www.cadviet.com/upfiles/3/114276_new_block.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

DoanVanHa: đường thẳng màu đỏ tại điểm A

Select object: ((-1 . <Entity name: 7ef756d8>) (0 . "LINE") (330 . <Entity
name: 7ef05c10>) (5 . "4CAF3") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8
. "0") (62 . 1) (6 . "ByBlock") (370 . -2) (100 . "AcDbLine") (10 60.4848
-58.7662 14.3332) (11 60.4848 -58.7662 2.04333) (210 0.0 0.0 1.0))

Command: ID
Specify point:  X = 58.77     Y = 2.04     Z = -60.48

Command: ID
Specify point:  X = 58.77     Y = 14.33     Z = -60.48

 

dxf 10, 11 khác với lệnh ID. Các đường khác cũng tương tự. Lạ nhĩ, có ảnh hưởng đến osnap không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhìn bằng mắt thì thấy nó giao nhau nhưng dùng lệnh dưới đây thì chỉ có điểm D là giao thôi.

@tien2005 : lệnh ID thì cứ phương đứng là y, ngang là x. Nhưng ở đây đứng là z.

 

(defun c:int(/ a b c)
  (defun get3(l) (if (cdddr l) (cons (list (car l) (cadr l) (caddr l)) (get3 (cdddr l))) (list l)))
  (defun ints (o1 o2 mo)
    (get3 (vlax-Invoke (vlax-EName->vla-Object o1) "IntersectWith" (vlax-EName->vla-Object o2) mo))
  )
  (setq a (car (entsel "\nchon doi tuong 1: "))
b (car (entsel "\nchon doi tuong 2: "))
   c (ints a b acextendnone)
  ) 
)
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhìn bằng mắt thì thấy nó giao nhau nhưng dùng lệnh dưới đây thì chỉ có điểm D là giao thôi.

 

@Bác Tot77:Em chưa thử lisp của bác, thắc mắc của em là sao cách làm của em dưới lại bắt được tất cả các điểm???

 

,Cách làm mò của em hơi bị dài dòng :

Gõ W >...>....>....... Mở file : new block.dwg  rồi bấm chọn biểu tượng Bottom :

114276_c7911_chu7889i.png

 

File đã bắt điểm Intersection ở  tất cả các điểm A, B, C và D :http://www.cadviet.com/upfiles/3/114276_new_block.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn có thể trình bày thao tác W>...>...>... được không? nhưng dù làm gì thì file của bạn cũng khác với file ban đầu của bác HA.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Bạn có thể trình bày thao tác W>...>...>... được không? nhưng dù làm gì thì file của bạn cũng khác với file ban đầu của bác HA.

3- Bác cứ mở file của bác Hà , rồi thao tác như em, điều kỳ lạ sẽ xảy ra …

Thao tác của em như sau:

 

azxc_zpscb7d7ddc.gif

1- Mở file của bác Hà >> Gõ W >> Bấm chọn Pick point để chọn điểm chèn >> Bấm chọn Slect objects để quét chọn đối tượng >>> Nhấn OK >>>Nó sẽ tạo ra File có tên New blok.dwg (được lưu trong thư mục Documents)

 

haqz222_zps8bde0098.gif

2-Mở file có tên tên New blok.dwg (được lưu trong thư mục Documents) >> Lăn chuột giữa để kéo hình ra màn hình >>> Bấm chuột vào biểu tượng Bottom >>> Lăn chuột giữa để kéo hình ra màn hình >>> Gõ lệnh L >>>Shift + Chuột phải >>> Chọn  Intersetion >>> Sẽ bắt được tất cả các điểm A, B, C và D

(Máy của em không có Font chữ bác Hà đang dùng)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn các bạn đã quan tâm.

Nhưng ý câu hỏi của tôi là: từ đường màu hồng (3D), tôi dùng lệnh Line với tùy chọn Osnap Nearest để vẽ 4 đường thẳng kia.

Như vậy, rõ ràng là đường màu hồng phải giao với 4 đường thẳng kia.

Tuy nhiên, thực tế dùng Osnap Intersection để bắt điểm giao thì chỉ được D còn A, B, C không bắt dính.

Lý do là tại sao lại như vậy?

Các bạn có thể tự vẽ thêm các đường khác để kiểm nghiệm. Rất hên xui!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

nhoc ko rành 3d nhưng cảm tính nhoc hỉu là bottom giông như mặt phẳng rùi nên bắt đc kiểu giao điểm còn file goc là 3d, đoán bừa thui ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mở file của bác Hà ra, có thể  gõ TR >>> Enter hai lần là có thể cắt được đường mầu tím ở các khoảng AB, hoặc BC và hoặc CD

Dùng lệnh Fillet với R=5 có thể bo lần lượt từ A đến D

Thông thường khi di chuyển hệ trục tọa độ USD lên các mặt của khối 3D để vẽ, muốn trở lại không gian vẽ ban đầu chỉ việc gõ Plan là được. File của bác Hà hơi đặc biệt là không nhận lệnh Plan, không hiểu vì lý do gì???

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Trước tiên ta dùng lệnh UCS tạo mặt phẳng qua 3 điểm A và D và điểm hướng lên hoặc xuống. Vì đường màu hồng không nằm trong 3 mặt phẳng mặc định của nó. Sau đó dùng lệnh plan, enter.

Sau đó kéo dài kéo dài 3 đoạn thẳng kia lên rồi trim lại là bắt được.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tôi chỉ hỏi là tại sao không bắt điểm được mà thôi.

@Nhoc: hỏi chứ không đố. Đã phản hồi ở bài #8 rồi đấy thôi.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Trước tiên ta dùng lệnh UCS tạo mặt phẳng qua 3 điểm A và D và điểm hướng lên hoặc xuống. Vì đường màu hồng không nằm trong 3 mặt phẳng mặc định của nó. Sau đó dùng lệnh plan, enter.

Sau đó kéo dài kéo dài 3 đoạn thẳng kia lên rồi trim lại là bắt được.

 

Khỏi cần phải thao tác ngoằn ngoèo và kéo dài 3 đoạn thẳng như anh đã làm! Cứ mở file bản vẽ của bác Hà ra rồi Trim ...chuột thoải mái :) :) :)

Để có thể "bắt được điểm bắt điểm Intersection tại điểm giao trên 3D", em đã giải trình trong bài viết số #7

 

Rõ ràng là File của bác Hà không nhận lệnh Plan và không bắt điểm Intersection tại điểm giao trên 3D. Làm thế nào để sửa được lỗi trên một cách nhanh gọn nhất vẫn là một câu hỏi vô cùng khó nhưng sẽ rất hữu ích trong việc vẽ 3D...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn các bạn đã quan tâm.

Nhưng ý câu hỏi của tôi là: từ đường màu hồng (3D), tôi dùng lệnh Line với tùy chọn Osnap Nearest để vẽ 4 đường thẳng kia.

Như vậy, rõ ràng là đường màu hồng phải giao với 4 đường thẳng kia.

Tuy nhiên, thực tế dùng Osnap Intersection để bắt điểm giao thì chỉ được D còn A, B, C không bắt dính.

Lý do là tại sao lại như vậy?

Các bạn có thể tự vẽ thêm các đường khác để kiểm nghiệm. Rất hên xui!

Hề hề hề,

1/- truy bắt điểm intersection trong môii trường 3D vẫn hoạt động khá hiệu quả.

2/- Bản vẽ của bác DoanvanHa gửi sở dĩ truy bắt không được có lẽ là do bác đã sử dụng selection box khá lớn nên truy bắt nearest ban đầu của bác có sai trật. Cũng bản vẽ này mình sử dụng truy bắt nearest trên máy mình để vẽ các line xuất phát từ các điểm bất kỳ trên đường màu magenda theo các hướng khác nhau rồi sau đó sử dụng truy bắt intresection thì vô cùng chính xác phát nào ăn phát ấy không hề hên xui tí nào.

3/- Mình test thử bằng lệnh extend thì đường màu vàng không cắt đường màu hồng. Tuy nhiên khi trim thì lại được, chứng tỏ rằng có cắt. Như vậy có nghĩa là có sự hên xui hay oái oăm ở đây. Điều này mình không lý giải được và có nhẽ đành đặt gạch hóng người am hiểu về CAD giả nhời vậy.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ko pit có ai thử chưa nhưng nhoc chưa thấy đề cập nhoc thì ko pit gì bên mảng 3D nhoc nghĩ đơn giản nếu 3D thì.mình có thể xoay hình mà vậy là thấy có cắt nhau không^^, nhoc nghĩ vậy ko pit đúng ko, tưởng tượng đường màu hồng là mp mỏng giốg tò giây các đường còn lại giốg cây kim đâm qua vậy, thui ko nói nữa càng nói chak càng sai :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

1/- truy bắt điểm intersection trong môii trường 3D vẫn hoạt động khá hiệu quả.

2/- Bản vẽ của bác DoanvanHa gửi sở dĩ truy bắt không được có lẽ là do bác đã sử dụng selection box khá lớn nên truy bắt nearest ban đầu của bác có sai trật. Cũng bản vẽ này mình sử dụng truy bắt nearest trên máy mình để vẽ các line xuất phát từ các điểm bất kỳ trên đường màu magenda theo các hướng khác nhau rồi sau đó sử dụng truy bắt intresection thì vô cùng chính xác phát nào ăn phát ấy không hề hên xui tí nào.

3/- Mình test thử bằng lệnh extend thì đường màu vàng không cắt đường màu hồng. Tuy nhiên khi trim thì lại được, chứng tỏ rằng có cắt. Như vậy có nghĩa là có sự hên xui hay oái oăm ở đây. Điều này mình không lý giải được và có nhẽ đành đặt gạch hóng người am hiểu về CAD giả nhời vậy.

 

2- Theo em thì chưa có cơ sở để khẳng định bác Hà đã "sử dụng selection box khá lớn nên truy bắt nearest ban đầu của bác có sai trật"

Em đã vẽ thử nhiều lần cũng gặp lúc hên, lúc xui và lúc hên xui lẫn lộn.

3- Đường mầu vàng không thể extend bởi vì thực tế là nó đã tiếp xúc chính xác với đường mầu tím ( giống như khi zoom đường thẳng tiếp xúc với đường tròn sẽ thấy khe hở to đùng)

Sau khi trim, nếu đặt units...0,00000000 >>> Tắt lớp vàng để ID đểm B của đường tím và tắt lớp tím để ID điểm B của đường vàng, bác sẽ thấy là ID1 = ID2

 

Chốt lại muốn bắt Intersection được tất cả các điểm đã vẽ của bác Hà,

hiện em chỉ có cách làm thủ công là tạo thêm New blok.dwg >>> Mở file >>> Bấm chọn Bottom hoặc Top ( Xem bài viết số #7)

Theo em nguyên nhân có thể file của bác Hà có vấn đề sau: http://www.cadviet.com/forum/topic/16957-proxy-graphics/

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×